Subject: Re: [RFC v2] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Aug 2008 03:56:58 +0200

On Mon, 25 Aug 2008, Stephan Beyer wrote:
> Jakub Narebski wrote:
>> Stephan Beyer wrote:

>>> I btw do not like the last fact, but since most users nowadays have
>>> JavaScript activated, it may not be that bad.
>> 
>> F**k. I didn't notice this soon enough, and now I'd rather not re-enter
>> all 60 questions. I have sent feedback that requiring JavaScript to be
>> able to submit survey is strange.
> 
> Yes, a simple "old-school" <noscript>survey</noscript> would be nice for
> some users. I did not notice that, too. Can you write or have you
> written feedback on that topic to the survs people?

I have send feedback.

The problem is not that _filling_ survey requires JavaScript, because
it doesn't.  The problem is that submit _link_ uses JavaScript link
javascript:finishSurvey() instead of having submit _button_, which
would use 'submit URL' (and optionally have onSubmit event to check
response).

-- 
Jakub Narebski
Poland